Skip to main content
`Ctrl`+`K`

# PetscViewerHDF5GetCompress

Get the flag for compression

## Synopsis

    #include "petscviewerhdf5.h"
    PetscErrorCode PetscViewerHDF5GetCompress(PetscViewer viewer, PetscBool *flg)

Not Collective

## Input Parameter

- viewer - the `PetscViewer` of type `PETSCVIEWERHDF5`

## Output Parameter

- flg - if `PETSC_TRUE` we will turn on compression

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERHDF5`, `PetscViewerHDF5SetCompress()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c

## Implementations

PetscViewerHDF5GetCompress_HDF5() in src/sys/classes/viewer/impls/hdf5/hdf5v.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages